Bug 496674 - RFE: yum.Errors.NoMoreMirrorsRepoError: shouldn't print a traceback
RFE: yum.Errors.NoMoreMirrorsRepoError: shouldn't print a traceback
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum-utils (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-20 12:14 EDT by Michal Nowak
Modified: 2014-01-21 01:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-12 16:32:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2009-04-20 12:14:27 EDT
Description of problem:

yum-builddep -y cups-1.3.7-2.el5.src.rpm

Loaded plugins: rhnplugin
pam-devel-0.99.6.2-4.el5.ia64
1:pkgconfig-0.21-2.el5.ia64
gnutls-devel-1.4.1-3.el5_2.1.ia64
libacl-devel-2.2.39-3.el5.ia64
openldap-devel-2.3.43-3.el5.ia64
1:make-3.81-3.el5.ia64
php-devel-5.1.6-23.2.el5_3.ia64
12:aspell-devel-0.60.3-7.1.ia64
pcre-devel-6.6-2.el5_1.7.ia64
libjpeg-devel-6b-37.ia64
2:libpng-devel-1.2.10-7.1.el5_3.2.ia64
libtiff-devel-3.8.2-7.el5_2.2.ia64
krb5-devel-1.6.1-31.el5_3.3.ia64
avahi-compat-libdns_sd-devel-0.6.16-1.el5_2.1.ia64
libselinux-devel-1.33.4-5.5.el5.ia64
audit-libs-devel-1.7.7-6.el5.ia64
gcc-4.1.2-44.el5.ia64
dbus-devel-1.1.2-12.el5.ia64
--> Running transaction check
---> Package pcre-devel.ia64 0:6.6-2.el5_1.7 set to be updated
---> Package libpng-devel.ia64 2:1.2.10-7.1.el5_3.2 set to be updated
---> Package audit-libs-devel.ia64 0:1.7.7-6.el5 set to be updated
---> Package libjpeg-devel.ia64 0:6b-37 set to be updated
---> Package php-devel.ia64 0:5.1.6-23.2.el5_3 set to be updated
--> Processing Dependency: php = 5.1.6-23.2.el5_3 for package: php-devel
---> Package aspell-devel.ia64 12:0.60.3-7.1 set to be updated
---> Package avahi-compat-libdns_sd-devel.ia64 0:0.6.16-1.el5_2.1 set to be updated
---> Package libtiff-devel.ia64 0:3.8.2-7.el5_2.2 set to be updated
---> Package gnutls-devel.ia64 0:1.4.1-3.el5_2.1 set to be updated
--> Running transaction check
---> Package php.ia64 0:5.1.6-23.2.el5_3 set to be updated
--> Processing Dependency: php-common = 5.1.6-23.2.el5_3 for package: php
--> Processing Dependency: php-cli = 5.1.6-23.2.el5_3 for package: php
--> Processing Dependency: httpd-mmn = 20051115 for package: php
--> Running transaction check
---> Package php-cli.ia64 0:5.1.6-23.2.el5_3 set to be updated
---> Package php-common.ia64 0:5.1.6-23.2.el5_3 set to be updated
---> Package httpd.ia64 0:2.2.3-22.el5 set to be updated
filelists.xml.gz                                                                                                                                                                                          |  25 kB     00:00     
filelists.xml.gz                                                                                                                                                                                          | 110 kB     00:00     
filelists.xml.gz                                                                                                                                                                                          | 2.2 MB     00:00     
filelists.xml.gz                                                                                                                                                                                          |  11 kB     00:00     
filelists.xml.gz                                                                                                                                                                                          | 335 kB     00:00     
http://rhts.redhat.com/rpms/development/noarch/noarch/repodata/filelists.xml.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
Traceback (most recent call last):
  File "/usr/bin/yum-builddep", line 142, in ?
    util = YumBuildDep()
  File "/usr/bin/yum-builddep", line 41, in __init__
    self.main()
  File "/usr/bin/yum-builddep", line 68, in main
    self.buildTransaction()
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 647, in buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 696, in resolveDeps
    CheckDeps, checkinstalls, checkremoves, missing = self._resolveRequires(errors)
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 779, in _resolveRequires
    thisneeds = self._checkInstall(txmbr)
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 851, in _checkInstall
    provs = self.tsInfo.getProvides(*req)
  File "/usr/lib/python2.4/site-packages/yum/transactioninfo.py", line 432, in getProvides
    result.update(self.getNewProvides(name, flag, version))
  File "/usr/lib/python2.4/site-packages/yum/transactioninfo.py", line 414, in getNewProvides
    for pkg, hits in self.pkgSack.getProvides(name, flag, version).iteritems():
  File "/usr/lib/python2.4/site-packages/yum/packageSack.py", line 300, in getProvides
    return self._computeAggregateDictResult("getProvides", name, flags, version)
  File "/usr/lib/python2.4/site-packages/yum/packageSack.py", line 470, in _computeAggregateDictResult
    sackResult = apply(method, args)
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 861, in getProvides
    return self._search("provides", name, flags, version)
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 43, in newFunc
    return func(*args, **kwargs)
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 837, in _search
    for pkg in self.searchFiles(name, strict=True):
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 43, in newFunc
    return func(*args, **kwargs)
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 540, in searchFiles
    self.populate(repo, mdtype='filelists')
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 178, in populate
    xml = repo_get_function()
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 1280, in getFileListsXML
    return self.retrieveMD('filelists')
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 1216, in retrieveMD
    return self._retrieveMD(mdtype)
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 1254, in _retrieveMD
    cache=self.http_caching == 'all')
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 692, in _getFile
    raise Errors.NoMoreMirrorsRepoError, errstr
yum.Errors.NoMoreMirrorsRepoError: failure: repodata/filelists.xml.gz from rhts-noarch: [Errno 256] No more mirrors to try.


Version-Release number of selected component (if applicable):

yum-utils-1.1.16-13.el5

How reproducible:

always


It's RHTS box hp-rx1620-01.rhts.bos.redhat.com --> /root/binutils/binutils-tests/Sanity/458301-rpmbuild-produces-2MB-section-gap-for-cups.

Looks a bit like a bug 490657.
Comment 1 James Antill 2009-04-20 13:30:55 EDT
 This isn't a bug, at least in yum ... I hit this way too often, the RHTS repos. seem to be regenerated much more often than you'd expect. Also the repodata seems to be updated in a wierd way ... maybe via. "simple" rsync (instead of what Fedora mirros use) from somewhere.

 For yum-utils to catch the exception and not print the traceback, I guess that could be an RFE ... but it falls more into the "shouldn't happen" bucket than not.
Comment 2 Michal Nowak 2009-04-21 05:10:34 EDT
I really don't like the behavior of rhn*-utils and virt-manager, where upstream tend to report unexpected events by back trace and calls it "Error message" -- not saying this is the case. I believe this should be fixed, in yum-utils at least.
Comment 3 Muhammad Zahid 2010-05-25 04:03:51 EDT
I have the same issue with one of my server RHEL 5. It was wroking before via our RHN satellite. This is the only server among the 5 behaving like that.

I did the following but no sucess.

1. clean the cache and metadate files - no success.

2. I drop the profile and  recreate - no success.

3. I applied the suggested work around by yum - no success

If any one has any other solution, please let me know.


=====================
[root@proton ~]# yum update
Loaded plugins: rhnplugin
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package cpp.i386 0:4.1.2-48.el5 set to be updated
---> Package gcc.i386 0:4.1.2-48.el5 set to be updated
---> Package gcc-c++.i386 0:4.1.2-48.el5 set to be updated
---> Package gcc-gfortran.i386 0:4.1.2-48.el5 set to be updated
---> Package libgcj.i386 0:4.1.2-48.el5 set to be updated
---> Package libgfortran.i386 0:4.1.2-48.el5 set to be updated
---> Package libstdc++.i386 0:4.1.2-48.el5 set to be updated
---> Package libstdc++-devel.i386 0:4.1.2-48.el5 set to be updated
---> Package pam.i386 0:0.99.6.2-6.el5_4.1 set to be updated
---> Package pam-devel.i386 0:0.99.6.2-6.el5_4.1 set to be updated
---> Package python.i386 0:2.4.3-27.el5 set to be updated
---> Package python-devel.i386 0:2.4.3-27.el5 set to be updated
rhel-i386-server-5/filelists                                                  |  21 MB     00:03     
rhel-i386-server-5/filelists                                                  |  21 MB     00:04     
Error: failed to retrieve repodata/filelists.xml.gz from rhel-i386-server-5
error was [Errno -1] Metadata file does not match checksum
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest
[root@proton ~]#
Comment 5 James Antill 2013-03-12 16:32:45 EDT
 This should be fixed in RHEL-6 (will print the error message now, as yum does).

Note You need to log in before you can comment on or make changes to this bug.